=== paradiseo-eo/app/CMakeLists.txt ===
######################################################################################
### 1) Where must cmake go now ?
######################################################################################

ADD_SUBDIRECTORY(gprop)
ADD_SUBDIRECTORY(gpsymreg)
ADD_SUBDIRECTORY(mastermind)
######################################################################################
