=== paradiseo-eo/tutorial/CMakeLists.txt ===
######################################################################################
### 1) Where must cmake go now ?
######################################################################################

ADD_SUBDIRECTORY(Lesson1)
ADD_SUBDIRECTORY(Lesson2)
ADD_SUBDIRECTORY(Lesson3)
ADD_SUBDIRECTORY(Lesson4)
ADD_SUBDIRECTORY(Lesson5)
ADD_SUBDIRECTORY(Lesson6)

######################################################################################
