=== paradiseo-mo/src/CMakeLists.txt ===
###############################################################
# This is a dummy file
###############################################################
