## paradiseo 1.3-beta2

=== debian/changelog ===
paradiseo (1.3-beta2-3) unstable; urgency=low

  * Wheeeeeeeeee
 -- OpenModelica Build System <build@openmodelica.org>  Tue, 03 Jan 2012 10:52:15 +0100
