=== debian/control ===
Source: paradiseo
Section: math
Priority: optional
Maintainer: OpenModelica Build System <build@openmodelica.org>
Build-Depends: debhelper (>= 7.0.0),
 cmake,
 gcc-4.4
Standards-Version: 3.8.4

Package: paradiseo
Section: math
Architecture: any
Depends: ${misc:Depends}
Description: OMOptim dependencies
